package com.qmth.exam.reserve.cache;

/**
 * 缓存相关常量
 */
public interface CacheConstants {

    /**
     * 预约任务 - 某考点某时段的“可预约总量”的缓存
     * $cache:apply_total:{examSiteId}_{timePeriodId}
     * Value：总量
     */
    String CACHE_APPLY_TOTAL = "$cache:apply_total:%s_%s";

    /**
     * 预约任务 - 某考点某时段的“已预约数量”的缓存
     * $cache:apply_finish:{examSiteId}_{timePeriodId}
     * Value：已约量
     */
    String CACHE_APPLY_FINISH = "$cache:apply_finish:%s_%s";

    /**
     * 某考生预约操作锁
     * $lock:student_apply:{studentId}
     */
    String LOCK_STUDENT_APPLY = "student_apply:%s";

    /**
     * 系统自动为考生预约操作锁
     * $lock:auto_apply
     */
    String LOCK_AUTO_APPLY = "auto_apply";

    /**
     * 自动排考
     * $lock:arrange_exam:{yyyyMMdd}
     */
    String LOCK_ARRANGE_EXAM = "arrange_exam:%s";

}
